Package com.pixelmed.dicom

# Class SOPClassDescriptions

java.lang.Object
com.pixelmed.dicom.SOPClassDescriptions

public class SOPClassDescriptions extends Object

A class of static methods to provide a means of describing SOP Classes with abbreviations and hman-readable descriptions.

## Method Summary

Modifier and Type
Method
Description
`static String`
`getAbbreviationFromUID(String sopClassUID)`
`static String`
`getDescriptionFromUID(String sopClassUID)`
`static String`
`getKeywordFromUID(String sopClassUID)`
`static String`
`getUIDFromKeyword(String keyword)`
`static void`
`main(String[] arg)`
Unit test.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getAbbreviationFromUID

public static String getAbbreviationFromUID(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  a short abbreviation describing the SOP Class, or an empty string if none

### getDescriptionFromUID

public static String getDescriptionFromUID(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  a description of the SOP Class, or an empty string if none

### getKeywordFromUID

public static String getKeywordFromUID(String sopClassUID)

Parameters:
  `sopClassUID` - UID of the SOP Class, as a String without trailing zero padding
Returns:
  a keyword identifying the SOP Class, or an empty string if none

### getUIDFromKeyword

public static String getUIDFromKeyword(String keyword)

Parameters:
  `keyword` - keyword for the SOP Class
Returns:
  a UID identifying the SOP Class, or an empty string if none

### main

public static void main(String[] arg)

Unit test.

Parameters:
  `arg` - ignored